Subject: bug#48021: comp.el cannot be loaded without native compilation

From: Andrea Corallo <[email-masked]>
Date: Mon, 26 Apr 2021 20:29:39 +0000

Glenn Morris <[email-masked]> writes:

> Andrea Corallo wrote:
>
>>> ./src/emacs -Q -l ./lisp/emacs-lisp/comp.el
>>>
>>>    memq: Symbol's value as variable is void: comp-ctxt
>
>> with a390a4965f comp-cstr-tests run clean for me also on vanilla build,
>> please let me know if this is sufficient for the case you are testing.
>
> Thanks. comp-cstr-test-70 is still failing for me.

Could you share the invocation you are using? I'm asking cause here on
449045b2a6 I see this passing.

>
> The issue about comp.el being unloadable in builds without native
> compilation remains (and hence test-custom-deps still fails).

I didn't know about the test-custom-deps, I'll have a look.

> I believe that in general, .el files should always be loadable, they
> should just do nothing if not applicable.
>
> For example, C-h f completion can try to load comp.el.

We should load comp.el only on native compiled instances, if this is not
the case could you point me out exactly where we do this so I can have a
look?

Thanks

  Andrea